{ config, pkgs, inputs, ... }: {
imports = [
  # Пути к конфигурациям
  ./desktop/hyprland.nix
  ./desktop/hyprpaper.nix
  ./desktop/eww.nix
  ./kitty.nix
  ./cli/neovim.nix
  ./cli/zsh.nix
  ./xdg.nix
  ./cli/fastfetch.nix

  # Вызов inputs для определенного флейка
  inputs.zen-browser.homeModules.beta
];

# Разрешение на установку проприетарных пакетов.
# Т.е автосоглашения со всеми пакетами при установке.
nixpkgs.config.allowUnfree = true;

# Установка отдельных программ
programs = {
  zen-browser.enable = true;
};

# Основная домашняя конфигурация
home = {
  # Указание пользователя, его каталога.
  username = "fox";
  homeDirectory = "/home/fox";
  stateVersion = "25.05";

  # Пакеты устанавливающиеся только
  # к этому пользователю.
  packages = with pkgs; [
    # Интернет
		telegram-desktop
    transmission_4-gtk
		filezilla
    teams-for-linux
    chromium

    # Игры/эмуляция
    prismlauncher
    wineWowPackages.stable

    # Дизайн/медия
    krita
    obs-studio
    vlc

    # Работа с файлами
    nemo
    file-roller

    # Документы
    obsidian
    libreoffice
    vscode

    # Остальное
    pamixer
    cava
    pavucontrol
    grim
    rofi
    adwaita-icon-theme
    gnome-themes-extra
    mako
    amnezia-vpn

    kdePackages.kdenlive
    haguichi
  ];
 };
}
